#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\LanguageLabel:
  - {name: 'Core charge', translations: [{code: en, label: 'Core charge'}]}
  - {name: 'Core charge label', translations: [{code: en, label: '{{core_charge}} Core Charge'}]}
  - {name: 'Core Charge tooltip', translations: [{code: en, label: 'A core is some portion of a part that can be recycled or reused by the manufacturer. This helps to reduce product cost and is good for our environment. For this reason a product with a core has an additional charge associated with it. If the old part is returned in reusable condition, the core charge will be refunded.'}]}
  - {name: '+{{value}} Core Charge', translations: [{code: en, label: '+{{value}} <span class="core-charge-string-text">Core Charge</span>'}]}
  - {name: '+X Core Charge', translations: [{code: en, label: '+X Core Charge'}]}
  - {name: 'Base price', translations: [{code: en, label: 'Base price'}]}
  - {name: 'Base price + Core charge', translations: [{code: en, label: 'Base price + Core charge'}]}
  - {name: 'Save price calculated for', translations: [{code: en, label: 'Save price calculated for'}]}
  - {name: 'Core charge calculated for help', translations: [{code: en, label: 'Select how to calculate the Save price for the <a href="https://support.x-cart.com/en/articles/5306767-market-price">Market Price feature</a>. Remember to update the market prices if you change this setting.'}]}

XLite\Model\Order\Modifier:
  - class: XC\CoreCharge\Logic\Order\Modifier\CoreCharge
    weight: 1000
  - class: XC\CoreCharge\Logic\Order\Modifier\CoreChargeOrderItemModifier
    weight: 1010

XLite\Model\Config:
  - name: isIncludeCoreChargeInMarketPrice
    category: XC\CoreCharge
    type: XC\CoreCharge\View\FormField\Select\SavePriceCalculatedFor
    orderby: 10
    value: base_price
    translations: [{code: en, option_name: 'Save price calculated for'}]
    module: XC\CoreCharge
